create or replace view OOBJ_CTE_ENVIO as 
select
    -- Informaes bsicas e sem repeties de um CT-e. Se relaciona com as demais views/tabelas
     1            as id_cte,              -- Chave primria da tabela
	 
	 -- ide - Identificao do CT-e
	 33            as cUF,                 -- Cdigo da UF do emitente do Documento Fiscal
	 null            as cCT,                 -- Cdigo Numrico que compe a Chave de Acesso
	 6932            as CFOP,                -- Cdigo Fiscal de Operaes e Prestaes
	 null            as natOp,               -- Natureza da Operao
	 57            as mod,                 -- Modelo do documento fiscal
	 501            as serie,               -- Srie do CT-e
	 231            as nCT,                 -- Nmero do CT-e
	 '2017-10-13 15:52:43'::timestamp            as dhEmi,               -- Data e hora de emisso do CT-e
	 1            as tpImp,               -- Formato de Impresso do DANFE
	 1            as tpEmis,              -- Forma de Emisso da NF-e
	 null            as cDV,                 -- Dgito Verificador da Chave de Acesso da NF-e
	 2            as tpAmb,               -- Identificao do Ambiente
	 0            as tpCTe,               -- Tipo do CT-e
	 3304557            as cMunEnv,             -- Cdigo do Municpio onde o CT-e est sendo enviado
	 'Rio de Janeiro'            as xMunEnv,             -- Nome do Municpio onde o CT-e est sendo  enviado
	 'RJ'            as UFEnv,               -- Sigla da UF onde o CT-e est sendo  enviado
	 1            as modal,               -- Modal
	 3            as tpServ,              -- Tipo do Servio
	 2307650            as cMunIni,             -- Cdigo do Municpio de incio da prestao
	 'MARACANAU'            as xMunIni,             -- Nome do Municpio do incio da prestao
	 'CE'            as UFIni,               -- UF do incio da prestao
	 1508050            as cMunFim,             -- Cdigo do Municpio de trmino da prestao
	 'TRAIRAO'            as xMunFim,             -- Nome do Municpio do trmino da prestao
	 'PA'            as UFFim,               -- UF do trmino da prestao
	 1            as retira,              -- Indicador se o Recebedor retira no Aeroporto, Filial, Porto ou Estao de Destino.
	 null            as xDetRetira,          -- Detalhes do retira	 
	 null			 as indGlobalizacao,
	 1			 as indIEToma,	 
		
	 
	 
	 -- ide > toma - Informaes sobre o tomador do servio
	 0            as toma,                -- Indicador do "papel" do tomador do servio no CT-e
	 null            as tomaCPFCNPJ,         -- Nmero do CNPJ
	 null            as tomaIE,              -- Inscrio Estadual
	 null            as tomaXNome,           -- Razo Social ou Nome
	 null            as tomaXFant,           -- Nome Fantasia
	 null            as tomaFone,            -- Telefone
	 null            as tomaXLgr,            -- Logradouro
	 null            as tomaNro,             -- Nmero
	 null            as tomaXCpl,            -- Complemento
	 null            as tomaXBairro,         -- Bairro
	 null            as tomaCMun,            -- Cdigo do municpio
	 null            as tomaXMun,            -- Nome do municpio
	 null            as tomaCEP,             -- Cdigo do CEP
	 null            as tomaUF,              -- Sigla da UF
	 null            as tomaCPais,           -- Cdigo do Pas
	 null            as tomaXPais,           -- Nome do Pas
	 null            as tomaEmail,           -- Endereo de e-mail do tomador de servio
	 -- ide > Informaes de Contingncia
	 null            as dhCont,              -- Data de entrada em contingncia
	 null            as xJust,               -- Justificativa de entrada em contingncia

	 -- emailCopia - Informaes para envio automtico por e-mail de XML e DACTE
	 'teste-sustentacao@oobj.com.br'            as listaEmails,         -- Lista de e-mails destinatrios
	 1            as enviarDacteEmail,    -- Informao de envio de PDF DACTE
	 
	 -- compl - Dados complementares do CT-e
	 'CaracAdicTransp'            as complXCaracAd,       -- Caracterstica adicional do transporte
	 'CaracAdicServ'            as complXCaracSer,      -- Caracterstica adicional do servio
	 'FuncEmissorCTe'            as complXEmi,           -- Funcionrio emissor do CTe

	 -- compl > fluxo - Previso do fluxo da Carga. Obrigatrio para modal Areo.
	 'SGL_PRT_RGM'            as complFluxXOrig,      -- Sigla ou cdigo interno da Filial/Porto/Estao/Aeroporto de Origem
	 'xPass'            as complFluxPass,       -- Sigla ou cdigo interno da Filial/Porto/Estao/Aeroporto de Passagem
	 'SGL_PRT_DST'            as complFluxXDest,      -- Sigla ou cdigo interno da Filial/Porto/Estao/Aeroporto de Destino
	 'COD_ENTR'            as complFluxXRota,      -- Cdigo da Rota de Entrega

	 -- compl > Entrega - Informaes referentes a previso de entrega.
	 null            as complEntTpPer,       -- Tipo de data/perodo programado para entrega
	 null            as complEntDProg,       -- Data programada
	 null            as complEntDIni,        -- Data inicial
	 null            as complEntDFim,        -- Data final
	 null            as complEntTpHor,       -- Tipo de hora programado para entrega
	 null            as complEntHProg,       -- Hora programada
	 null            as complEntHIni,        -- Hora inicial
	 null            as complEntHFim,        -- Hora final
	 null            as complOrigCalc,       -- Municpio de origem para efeito de clculo do frete
	 null            as complDestCalc,       -- Municpio de destino para efeito de clculo do frete

	 'Observaes Gerais'            as complXObs,           -- Observaes Gerais
	 
	 -- emit - Identificao do Emitente do CT-e
	 '43171438000498'            as emitCNPJ,            -- CNPJ do emitente
	 '81855129'            as emitIE,              -- IE
	 'A.N.R. TRANSPORTES RODOVIARIOS LTDA'            as emitXNome,           -- Razo Social ou nome do emitente
	 'A.N.R. TRANSPORTES RODOVIARIOS LTDA'            as emitXFant,           -- Nome fantasia
	 'AV. PARQUE OESTE, AREA DA GERDAU, BOX 3'            as emitXLgr,            -- Logradouro
	 '0'            as emitNro,             -- Nmero
	 null            as emitXCpl,            -- Complemento
	 'DISTR.IND.MARACANAA'            as emitXBairro,         -- Bairro
	 3304557            as emitCMun,            -- Cdigo do municpio
	 'Rio de Janeiro'            as emitXMun,            -- Nome do municpio
	 '61900000'            as emitCEP,             -- CEP
	 'RJ'            as emitUF,              -- Sigla da UF
	 '08532971422'            as emitFone,            -- Telefone
	 
	 -- rem - Informaes do Remetente das Mercadorias
	 '07358761001300'            as remCNPJ,            -- CNPJ do remetente
	 null            as remCPF,             -- CPF do remetente
	 '068447035'            as remIE,              -- Inscrio Estadual
	 'GERDAU (MR) ACOS LONGOS S/A'            as remXNome,           -- Razo social ou nome do remetente
	 'GERDAU (MR) ACOS LONGOS S/A'            as remXFant,           -- Nome fantasia
	 null            as remFone,            -- Telefone
	 null            as remEmail,           -- Endereo de e-mail remetente da carga
	 'AVENIDA PARQUE OESTE'            as remXLgr,            -- Logradouro
	 '1400'            as remNro,             -- Nmero
	 null            as remXCpl,            -- Complemento
	 'DISTRITO INDUSTRIAL'            as remXBairro,         -- Bairro
	 2307650            as remCMun,            -- Cdigo do municpio
	 'MARACANAU'            as remXMun,            -- Nome do municpio
	 '61939120'            as remCEP,             -- CEP
	 'CE'            as remUF,              -- Sigla da UF
	 1058            as remCPais,           -- Cdigo do Pas
	 'BRASIL'            as remXPais,           -- Nome do Pas
	 
	 -- locColeta - Informaes do local da coleta
	 null            as remLocColetaCNPJ,   -- CNPJ do local da coleta
	 null            as remLocColetaCPF,    -- CPF do local da coleta
	 null            as remLocColetaXNome,  -- Razo social ou nome do local da coleta
	 null            as remLocColetaXLgr,   -- Logradouro do local da coleta
	 null            as remLocColetaNro,    -- Nmero do local da coleta
	 null            as remLocColetaXCpl,   -- Complemento do local da coleta
	 null            as remLocColetaXBairro,-- Bairro do local da coleta
	 null            as remLocColetaCMun,   -- Cdigo do muncipio do local da coleta
	 null            as remLocColetaXMun,   -- Muncpio do local da coleta
	 null            as remLocColetaUF,     -- UF do local da coleta

	 -- exped - Informaes do Expedidor da Carga
	 '11216331000180'            as expedCNPJ,          -- CNPJ do expedidor
	 null            as expedCPF,           -- CPF do expedidor
	 '78909439'            as expedIE,            -- Inscrio Estadual
	 'CDPC - CENTRO DE DIST. PROD DE COBRE LTD'            as expedXNome,         -- Razo social ou nome do expedidor
	 null            as expedFone,          -- Telefone
	 null            as expedEmail,         -- Endereo de e-mail do expedidor da carga
	 'ROD PRESIDENTE DUTRA KM 316, LADO IMPAR'            as expedXLgr,          -- Logradouro
	 'SN'            as expedNro,           -- Nmero
	 null            as expedXCpl,          -- Complemento
	 'CENTRO'            as expedXBairro,       -- Bairro
	 3302254            as expedCMun,          -- Cdigo do municpio
	 'ITATIAIA'            as expedXMun,          -- Nome do municpio
	 '27580000'            as expedCEP,           -- CEP
	 'RJ'            as expedUF,            -- Sigla da UF
	 1058            as expedCPais,         -- Cdigo do Pas
	 'BRASIL'            as expedXPais,         -- Nome do Pas
	 
	 -- receb - Informaes do Recebedor da Carga
	 null            as recebCNPJ,          -- CNPJ do recebedor
	 null            as recebCPF,           -- CPF do recebedor
	 null            as recebIE,            -- Inscrio Estadual
	 null            as recebXNome,         -- Razo social ou nome do recebedor
	 null            as recebFone,          -- Telefone
	 null            as recebEmail,         -- Endereo de e-mail do recebedor da carga
	 null            as recebXLgr,          -- Logradouro
	 null            as recebNro,           -- Nmero
	 null            as recebXCpl,          -- Complemento
	 null            as recebXBairro,       -- Bairro
	 null            as recebCMun,          -- Cdigo do municpio
	 null            as recebXMun,          -- Nome do municpio
	 null            as recebCEP,           -- CEP
	 null            as recebUF,            -- Sigla da UF
	 null            as recebCPais,         -- Cdigo do Pas
	 null            as recebXPais,         -- Nome do Pas
	 
	 -- dest - Informaes do Destinatrio da Carga
	 '75911438000988'            as destCNPJ,           -- CNPJ do destinatrio
	 null            as destCPF,            -- CPF do destinatrio
	 '153287179'            as destIE,             -- Inscrio Estadual
	 'ARTELESTE CONSTRUCOES LTDA'            as destXNome,          -- Razo social ou Destinatrio
	 '04133822044'            as destFone,           -- Telefone
	 null            as destISUF,           -- Inscrio na SUFRAMA
	 null            as destEmail,          -- Endereo de e-mail do Destinatrio
	 'RUA BRASILIA'            as destXLgr,           -- Logradouro
	 'S/N'            as destNro,            -- Nmero
	 null            as destXCpl,           -- Complemento
	 'CARACOL'            as destXBairro,        -- Bairro
	 1508050            as destCMun,           -- Cdigo do municpio
	 'TRAIRAO'            as destXMun,           -- Nome do municpio
	 '68198000'            as destCEP,            -- CEP
	 'PA'            as destUF,             -- Sigla da UF
	 1058            as destCPais,          -- Cdigo do Pas
	 'BRASIL'            as destXPais,          -- Nome do Pas
	 
	 -- locEnt - Local de Entrega constante na Nota Fiscal
	 null            as destLocEntCNPJ,     -- CNPJ do local de entrega
	 null            as destLocEntCPF,      -- CPF do local de entrega
	 null            as destLocEntXNome,    -- Razo social ou nome
	 null            as destLocEntXLgr,     -- Logradouro
	 null            as destLocEntNro,      -- Nmero
	 null            as destLocEntXCpl,     -- Complemento
	 null            as destLocEntXBairro,  -- Bairro
	 null            as destLocEntCMun,     -- Cdigo do municpio
	 null            as destLocEntXMun,     -- Nome do municpio
	 null            as destLocEntUF,       -- Sigla da UF
	 
	 -- vPrest - Valores da Prestao de Servio
	 1136.30            as vPrestVTPrest,      -- Valor Total da Prestao do Servio
	 1136.30            as vPrestVRec,         -- Valor a Receber
	 
	 -- imp - Informaes relativas aos impostos
	 0            as impCST,             -- Classificao tributria do servio
	 1136.36            as impVBC,             -- Valor da BC do ICMS
	 null            as impVBCSTRet,        -- Valor da BC do ICMS ST Retido
	 null            as impVBCOutraUF,      -- Valor da BC do ICMSOutraUF
	 13.00            as impPICMS,           -- Alquota do ICMS
	 null            as impPICMSSTRet,      -- Alquota do ICMS ST Retido
	 null            as impPICMSOutraUF,    -- Alquota do ICMSOutraUF
	 147.72            as impVICMS,           -- Valor do ICMS
	 null            as impVICMSSTRet,      -- Valor do ICMS ST Retido
	 null            as impVICMSOutraUF,    -- Valor do ICMSOutraUF
	 null            as impPRedBC,          -- Percentual de reduo da BC
	 null            as impPRedBCOutraUF,   -- Percentual de reduo da BC do ICMSOutraUF
	 null            as impVCred,           -- Valor do Crdito outorgado/Presumido
	 null            as impIndSN,           -- Indica se o contribuinte  Simples Nacional
	 null            as impVTotTrib,        -- Valor Total dos Tributos (NT 2013-001)
	 null            as impInfAdFisco,      -- Informaes adicionais de interesse do Fisco
	 
	 -- autXml - Autorizados para download do XML do DF-e
	 '07385111000102;09553244000176'            as autXml,              -- Lista com os CNPJ's e/ou CPF's autorizados para download do XML do DF-e

	-- ICMSUFFim - Partilha de ICMS com UF Destino
	null		 as impvBCUFFim,	-- Valor da BC do ICMS na UF de trmino da prestao do servio de transporte
	null		 as imppFCPUFFim,	-- Percentual do ICMS relativo ao Fundo de Combate  pobreza (FCP) na UF de trmino da prestao do servio de transporte
	null		 as imppICMSUFFim,	-- Aliquota interna da UF de trmino da prestao do servio de transporte
	null		 as imppICMSInter,	-- Alquota interestadual das UF envolvidas
	null		 as imppICMSInterPart,	-- Percentual da partilha para a UF de trmino da prestao do servio de transporte
	null		 as impvFCPUFFim,	-- Valor do ICMS relativo ao Fundo de Combate  Pobreza (FCP) da UF de trmino da prestao
	null		 as impvIMSUFFim,	-- Valor do ICMS de partilha para a UF de trmino da prestao do servio de Transporte
	null		 as impvICMSUFIni	-- Valor do ICMS de partilha para a UF de incio da prestao do servio de Transporte

--from <tabela> tab
-- Condio para o extrator Oobj-CTe ler o registro.
--where <condition> 
