create or replace view OOBJ_CTE_INFCTE as 
select
     1            as id_infcte,                  -- Chave primria da tabela
	 1            as id_cte,                     -- Chave estrangeira da tabela OOBJ_CTE_ENVIO
	 
	 -- infCTeNorm > infCarga - informaes da Carga do CT-e
	 1000.09            as cteNormCargaVCarga,         -- Valor total da mercadoria
	 'TESTE DE PRODUTO'            as cteNormCargaProPred,        -- Produto predominante
	 null            as cteNormCargaXOutCat,        -- Outras caractersticas da carga
	 
	 -- infCTeNorm > infModal > aero - Informaes do Modal Areo
	 null            as aeroNMinu,                  -- Nmero da Minuta
	 null            as aeroNOCA,                   -- Nmero da Operacional do Conhecimento Areo
	 null            as aeroDPrev,                  -- Data prevista da entrega
	 null            as aeroXLAgEmi,                -- Loja Agente Emissor
	 null            as aeroIdT,                    -- Identificao Interna do Tomador
	 null            as aeroTarifaCL,
	 null            as aeroTarifaCTar,             -- Cdigo da Tarifa
	 null            as aeroTarifaVTar,             -- Valor da Tarifa
	 null            as aeroNatCargaXDime,          -- Dimenso
	 null            as aeroNatCargaCInfManu,       -- Informaes de manuseio
	 null            as aeroNatCargaCIMP,           -- Carga especial
	 
	 -- infCTeNorm > infModal > aquav - Informaes do modal Aquavirio
	 null            as aquavVPrest,                -- Valor da Prestao Base de Clculo do AFRMM
	 null            as aquavVAFRMM,                -- AFRMM (Adicional de Frete para Renovao da Marinha Mercante)
	 null            as aquavNBooking,              -- Nmero do Booking (reserva)
	 null            as aquavNCtrl,                 -- Nmero de Controle
	 null            as aquavXNavio,                -- Identificao do Navio
	 null            as aquavXBalsa,                -- Identificador da Balsa
	 null            as aquavNViag,                 -- Nmero da Viagem
	 null            as aquavDirec,                 -- Direo:N-Norte, L-Leste, S-Sul, O-Oeste
	 null            as aquavPrtEmb,                -- Porto de Embarque
	 null            as aquavPrtTrans,              -- Porto de Transbordo
	 null            as aquavPrtDest,               -- Porto de Destino
	 null            as aquavTpNav,                 -- Tipo de Navegao
	 null            as aquavIrin,                  -- Irin do navio sempre dever ser informado
	 
	 -- infCTeNorm > infModal > duto - Informaes do Modal Dutovirio
	 null            as dutoVTar,                   -- Valor da tarifa
	 null            as dutoDIni,                   -- Data de Incio da prestao do servio
	 null            as dutoDFim,                   -- Data de Fim da prestao do servio
	 
	 -- infCTeNorm > infModal > ferrov - Informaes do modal Ferrovirio
	 null            as ferrovTpTraf,               -- Tipo de Trfego
	 null            as ferrovTrafMutRespFat,       -- Responsvel pelo Faturamento
	 null            as ferrovTrafMutFerrEmi,       -- Ferrovia Emitente do CTe
	 null            as ferrovFluxo,                -- Fluxo Ferrovirio
	 null            as ferrovIdTrem,               -- Identificao do trem
	 null            as ferrovVFrete,               -- Valor do Frete
	 
	 -- infCTeNorm > infModal > rodo - Informaes do Modal Rodovirio
	 12345678            as rodoRNTRC,                  -- RNTC
	 null            as rodoDPrev,                  -- Data prevista para entrega da carga no Recebedor
	 null            as rodoLota,                   -- Indicador de Lotao
	 null            as rodoCIOT,                   -- Cdigo Identificador da Operao de Transporte
	 null            as rodoLacre,                  -- Lacres do Modal Rodovirio

	 -- infCTeNorm > infModal > multimodal - Informaes do Multimodal.
	 null            as multiModalCotm,             -- Nmero do certificado do operador de transporte multimodal
	 null            as multiModalIndNegociavel,    -- Indicador negocivel

	  -- cobr - fat - Dados da Fatura
	 null            as fatNFat,                    -- Nmero da fatura
	 null            as fatVOrig,                   -- Valor original da fatura
	 null            as fatVDesc,                   -- Valor do desconto da fatura
	 null            as fatVLiq,                    -- Valor lquido da fatura
	 
	 -- infCteSub - Informao do CT-e de Substituio
	 null            as infCteSubChCte,             -- Chave de acesso do CT-e a ser substitudo (original)
	 null            as infCteSubRefNFe,            -- Chave de acesso da NF-e emitida pelo Tomador
	 null            as infCteSubRefNFCNPJ,         -- CNPJ do Emitente
	 null            as infCteSubRefNFMod,          -- Modelo do Documento Fiscal
	 null            as infCteSubRefNFSerie,        -- Srie do documento fiscal
	 null            as infCteSubRefNFSubserie,     -- Subserie do documento fiscal
	 null            as infCteSubRefNFNro,          -- Nmero do documento fiscal
	 null            as infCteSubRefNFValor,        -- Valor do documento fiscal
	 null            as infCteSubRefNFDEmi,         -- Data de emisso do documento fiscal
	 null            as infCteSubRefCTe,            -- Chave de acesso do CT-e emitido pelo Tomador
	 null            as infCteSubRefCteAnu,         -- Chave de acesso do CT-e de Anulao
	 null		     as infCteSubIndAlteraToma      -- Indicador de CT-e Alterao de Tomador
	 
	 -- infCteComp - Informaes do CT-e complementado
	 null            as cteCompChave,               -- Chave do CT-e complementado
	 
	 -- infCteAnu - Informaes do CT-e Anulao de Valores
	 null            as cteAnuChaveCTe,             -- Chave de acesso do CT-e original a ser anulado e substitudo
	 null            as cteAnuDEmi                 -- Data de emisso da declarao do tomador no contribuinte do ICMS	
--from <tabela> tab
-- Condio para o extrator Oobj-CTe ler o registro.
--where <condition>
